﻿/*SR-styles*/
.imgContainer.keyboard-focus {
    outline: 2px solid #000000 !important;
}

body.contrastColors .imgContainer.keyboard-focus {
    outline: 2px solid #FFFFFF !important;
}

/*Top menu styles*/
.skip .hidden-link {
    font-size: 1.5rem;
}

.topMenu li a.link:focus {
    background-color: #e4e0e0 !important;
    font-weight: bold;
}
.dropdown-menu.open a:focus {
    background: #c6d7df !important;
}

.interestBtn[aria-expanded="false"]:focus-visible {
    background-color: #6b7276 !important;
}

.interestBtn[aria-expanded="true"]:focus-visible {
    outline: 2px solid #000000 !important;
    background: none !important;
}

body.contrastColors .interestBtn[aria-expanded="true"]:focus-visible {
    outline: 2px solid #FFFFFF !important;
    background: none !important;
}

.interestSection .subContainer > li > .link:focus:before,
.mainDropDown .subContainer > li > .link:focus:before,
.tabCollapseSection .subContainer > li:focus .link:before {
    content: "";
    height: 3px;
    position: absolute;
    top: 100%;
    right: 0;
    width: 100%;
    background: #43adff !important;
    opacity: 1;
    visibility: visible;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}

.item:focus-visible,
.checkboxRadioContainer .link:focus-visible,
.confirmationBtn:focus-visible,
.moreInfoList .link:focus-visible,
.breadcrumbSection .link:focus-visible,
.accordionList .btn:focus-visible,
.teacherSection div.link:has(.link:focus-visible),
.tabCollapseSection a.moreBtn:focus-visible,
.modal .closeBtn:focus-visible,
.eventsContainer .moreBtn:focus-visible,
.registration .content .link:focus-visible,
.accordionInner a:focus-visible,
.thumbnailSection .moreBtn:focus-visible .link,
.navBarContainer .collapseMainMenuBtn:focus-visible,
.seniorSection .logoContainer:focus-visible {
    outline: 2px solid #000000 !important;
}

body.contrastColors .item:focus-visible,
body.contrastColors .checkboxRadioContainer .link:focus-visible,
body.contrastColors .confirmationBtn:focus-visible,
body.contrastColors .moreInfoList .link:focus-visible,
body.contrastColors .breadcrumbSection .link:focus,
body.contrastColors .accordionList .btn:focus-visible,
body.contrastColors .teacherSection div.link:has(.link:focus-visible),
body.contrastColors .tabCollapseSection a.moreBtn:focus,
body.contrastColors .modal .closeBtn:focus-visible,
body.contrastColors .eventsContainer .moreBtn:focus-visible,
body.contrastColors .registration .content .link:focus-visible,
body.contrastColors .accordionInner a:focus-visible,
body.contrastColors .thumbnailSection .moreBtn:focus-visible .link,
body.contrastColors .navBarContainer .collapseMainMenuBtn:focus-visible,
body.contrastColors .seniorSection .logoContainer:focus-visible {
    outline: 2px solid #FFFFFF !important;
}

.slick-prev:focus-visible,
.slick-next:focus-visible,
.slickControl:focus-visible,
.mainCarousel .navArrow2:focus-visible,
.projectsSection .navArrow2:focus-visible,
.swiper-button-prev:focus-visible,
.swiper-button-next:focus-visible {
    outline: 3px solid #000000 !important;
    /*background-color: #3c95d1;*/
}

body.contrastColors .slick-prev:focus-visible,
body.contrastColors .slick-next:focus-visible,
body.contrastColors .slickControl:focus-visible,
body.contrastColors .mainCarousel .navArrow2:focus-visible,
body.contrastColors .projectsSection .navArrow2:focus-visible,
body.contrastColors .swiper-button-prev:focus-visible,
body.contrastColors .swiper-button-next:focus-visible {
    outline: 3px solid #FFFFFF !important;
}

.mainCarousel .swiper-pagination-bullet:focus-visible,
.infoCarouselSection .slick-dots button:focus-visible {
    outline: 3px solid #000000 !important;
}

body.contrastColors .mainCarousel .swiper-pagination-bullet:focus-visible,
body.contrastColors .infoCarouselSection .slick-dots button:focus-visible {
    outline: 3px solid #FFFFFF !important;
}

.schoolsList .link:focus,
.researchMenu > li > .link:focus {
    background: #46a1d8;
}

.researchMenu .list > li > .link:focus,
.footerMenu .rte-container a:focus,
.menuLvl2 .link:focus {
    color: #46a1d8;
}

.footerMenu .rte-container a:focus-visible img {
    outline: 1px solid #46a1d8 !important;
}

.iconDownload:focus,
.linkArrow:focus,
.textSection a:focus-visible,
.linkContainer .link:focus,
.plansList a:focus,
/*.mediaCarousel4 a:focus .linkArrow,*/
.siteMapSection .link:focus,
.eventContent a.content:focus .eventDetails,
.conferenceSection .content a:focus h3,
.eventCarousel .linkContainer .link:focus-visible,
.divisionSection .linkArrow:focus-visible,
.mediaCarousel5 .link:focus,
.calendarSection a:focus,
.seniorList .text a:focus-visible {
    text-decoration: underline;
}

.lvl2List .active .link:focus {
    background: #e4e0e0;
}

.studyBtn:focus-visible p {
    outline: 2px solid #95c6e2;
}

.classesSection .btnCollapse:focus-visible {
    border: 1px solid #000000;
}

body.contrastColors .classesSection .btnCollapse:focus-visible {
    border: 1px solid #FFFFFF;
}

.btnAccordion.focus {
    outline: none !important;
}

.btnAccordion:focus-visible {
    outline: 2px solid #000000 !important;
}

.textSection .btn:focus-visible {
    text-decoration: none !important;
    outline: 2px solid #000000 !important;
}

body.contrastColors .textSection .btn:focus-visible {
    outline: 2px solid #FFFFFF !important;
}

.teacherSection div.link:focus-visible,
.eventContent .bottomContent a.purple:focus-visible {
    outline: 1px solid #000000 !important;
}

body.contrastColors .teacherSection div.link:focus-visible,
body.contrastColors .eventContent .bottomContent a.purple:focus-visible {
    outline: 1px solid #FFFFFF !important;
}

.footerMap .mapCollapseBtn:focus-visible span {
    outline: 1px solid #95c6e2;
    color: #95c6e2;
}

.footerMap a.link:focus {
    outline: 3px solid #FFFFFF !important;
}

.eventContent a.content:focus .darkBlue,
.conferenceSection .content a:focus .darkBlue {
    color: #fff !important;
    background-color: #002347 !important;
}

.mainCarousel .playBtn:focus,
.infoCarouselSection .playBtn:focus {
    outline: none !important;
    -moz-transform: translate(-50%, -50%) scale(1.1);
    -ms-transform: translate(-50%, -50%) scale(1.1);
    -o-transform: translate(-50%, -50%) scale(1.1);
    -webkit-transform: translate(-50%, -50%) scale(1.1);
    transform: translate(-50%, -50%) scale(1.1);
}

body.contrastColors .mainCarousel .playBtn:focus,
body.contrastColors .infoCarouselSection .playBtn:focus {
    outline: 2px solid #FFFFFF !important;
}

.mainCarousel .closeBtn:focus-visible,
.gallerySection .closeBtn:focus-visible,
.infoCarouselSection .closeBtn:focus-visible {
    outline: 2px solid #000000 !important;
    background-color: #c6d7df !important;
}

.mainCarousel .closeBtn:focus-visible::before,
.mainCarousel .closeBtn:focus-visible::after,
.gallerySection .closeBtn:focus-visible::before,
.gallerySection .closeBtn:focus-visible::after,
.infoCarouselSection .closeBtn:focus-visible::before,
.infoCarouselSection .closeBtn:focus-visible::after{
    background-color: #000000;
}

.eventsContainer .bigBox:focus-within img,
.eventsContainer .smallBox:focus-within img {
    -moz-transform: scale(1.03, 1.03);
    -ms-transform: scale(1.03, 1.03);
    -o-transform: scale(1.03, 1.03);
    -webkit-transform: scale(1.03, 1.03);
    transform: scale(1.03, 1.03);
}

.campusMap .map-hotspot-button:focus-visible {
    outline: 1px solid #000000 !important;
    background-color: #3fa9f3;
}

.campusMap .btn:focus-visible {
    outline: 2px solid #000000 !important;
    color: #fff;
    background-color: #3c95d1;
}

.eventCarousel .eventContent .textContainer:focus {
    color: #6ac7ff;
}

.eventCarousel .eventContent .purple:focus-visible {
    outline: 2px solid #000000 !important;
    color: #fff !important;
    background-color: #8386ff !important;
}

.scholarshipsSection:has(.btnCollapse:focus-visible) {
    outline: 3px solid #000000;
}

.scholarshipsSection:focus-within .cover {
    opacity: 1;
    visibility: visible;
}

.scholarshipsSection .boxList .link:focus-visible {
    outline: 3px solid #000000 !important;
}
.scholarshipsSection .boxList .link:focus-visible .linkArrow {
    text-decoration: underline;
}

.boxLinkSection .link:focus-visible,
.coursesSection .link:focus-visible {
    outline: none !important;
}

.coursesSection .link:focus-visible:after {
    opacity: 1;
    visibility: visible;
}

.boxLinkSection .link:focus-visible .textContainer {
    background-color: rgba(63, 188, 169, 0.7);
}

.gallerySection .playBtn:focus-visible {
    outline: none !important;
    -moz-transform: translate(-50%, -50%) scale(1.1);
    -ms-transform: translate(-50%, -50%) scale(1.1);
    -o-transform: translate(-50%, -50%) scale(1.1);
    -webkit-transform: translate(-50%, -50%) scale(1.1);
    transform: translate(-50%, -50%) scale(1.1); 
}

.navGallery .playBtnThumbnail:focus-visible,
.mediaCarousel4 .slick-slide:has(a:focus-visible),
.mediaCarousel5 .slick-slide:has(a:focus-visible) {
    border: 1px solid #000000;
}

.researchSection .content:focus-within {
    outline: 2px solid #3fbca9;
}

.researchSection .content .playBtn:focus {
    transform: translate(-50%, -50%) scale(1.1);
}

.boxsContainer.ltrDirection .col-md-push-6 { 
    left: auto;
    right: auto;
}

.boxsContainer.ltrDirection .col-md-pull-6 {
    right: 0;
    left: 0;
}

@media (min-width: 992px) {
    .mainMenu > li > .link:focus {
        color: #3989be !important;
    }
}